!6節点要素を3節点要素にするプログラム
!s6youso.inpを読んでs3youso.inpに3節点に直して書くプログラム
!s6youso.inpの一行目に要素数を入力
!その下に要素をコピー
implicit real*8 (a-h, o-z)
dimension mesh(1000000,6),mesh2(1000000,3)
open(7,file='s6youso.inp')
open(8,file='s3youso.inp')
read (7,*) nyou
do i=1,nyou
read (7,*) n,mesh(n,1),mesh(n,2),mesh(n,3)&
&,mesh(n,4),mesh(n,5),mesh(n,6)
end do
do i=1,nyou
mesh2(1+(i-1)*4,1)=mesh(i,1)
mesh2(1+(i-1)*4,2)=mesh(i,4)
mesh2(1+(i-1)*4,3)=mesh(i,6)
mesh2(2+(i-1)*4,1)=mesh(i,4)
mesh2(2+(i-1)*4,2)=mesh(i,2)
mesh2(2+(i-1)*4,3)=mesh(i,5)
mesh2(3+(i-1)*4,1)=mesh(i,6)
mesh2(3+(i-1)*4,2)=mesh(i,5)
mesh2(3+(i-1)*4,3)=mesh(i,3)
mesh2(4+(i-1)*4,1)=mesh(i,5)
mesh2(4+(i-1)*4,2)=mesh(i,6)
mesh2(4+(i-1)*4,3)=mesh(i,4)
end do
nyou=nyou*4
do i=1,nyou
write(8,'(i6,a,i6,a,i6,a,i6)') i,',',mesh2(i,1),',',mesh2(i,2)&
&,',',mesh2(i,3)
end do
close (7)
close (8)
end 
